/*	
 *	app.h
 *
 *	pcemon - P/ECE monitor
 *	Copyright (C) 2002 Naoyuki Sawa
 *
 *	* Mon Mar 25 07:00:00 JST 2002 Naoyuki Sawa
 *	- 쐬JnB
 */
#pragma once

#define STRICT
#include <windows.h>

#include "pieceif.h"
#pragma comment(lib,"pieceif.lib")

#include "resource.h"

/****************************************************************************
 *	`
 ****************************************************************************/

#define APPNAME			"PCEMON"
#define APPTITLE		"P/ECE monitor"
#define VERSION			"(20020710)"

#define DISP_X			128
#define DISP_Y			 88

#define WM_NOTIFY_ICON		(WM_APP + 1)
#define TIMER_ID		1

#define SEC_DEFAULT		"default"
#define KEY_INTERVAL		"interval"
#define KEY_ALWAYS		"always"
#define KEY_ASYNC		"async"
#define KEY_CLIP		"clip"
#define KEY_SCALE		"scale"
#define KEY_X_POS		"x_pos"
#define KEY_Y_POS		"y_pos"

#define INTERVAL_MIN		10
#define INTERVAL_MAX		1000
#define SCALE_MIN		1
#define SCALE_MAX		4

#define ID_APP_EXIT		101
#define ID_APP_ALWAYS		102
#define ID_APP_ASYNC		103
#define ID_APP_CLIP		104
#define ID_APP_SHOW		105
#define ID_APP_ABOUT		106

#define ID_SCALE_1		201
#define ID_SCALE_2		202
#define ID_SCALE_4		203

#define ID_INTERVAL_10		301
#define ID_INTERVAL_100		302
#define ID_INTERVAL_1000	303

/****************************************************************************
 *	O[oϐ
 ****************************************************************************/

extern char ini_path[_MAX_PATH];

extern HINSTANCE g_hinst;
extern BITMAPINFO* g_bmi;
extern HWND g_hwnd;
extern NOTIFYICONDATA g_nid;

extern int g_interval;
extern int g_always;
extern int g_async;
extern int g_scale;
extern int g_x_pos;
extern int g_y_pos;

/****************************************************************************
 *	O[o֐
 ****************************************************************************/

int PASCAL WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpCmdLine, int nCmdShow);
LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);
void popup_menu();
void show(int visible);
void move_resize();
void update(HDC hdc, const RECT* rect);
int capture(unsigned char* vbuff, int len);
